]> sipb.mit.edu Git - ikiwiki.git/blob - doc/bugs/Insecure_dependency_in_utime.mdwn
web commit by JeremyReed: noticed bug running ikiwiki right after upgrading to 2.32.3
[ikiwiki.git] / doc / bugs / Insecure_dependency_in_utime.mdwn
1 ikiwiki.setup: Insecure dependency in utime while running with -T switch at /usr/pkg/lib/perl5/vendor_perl/5.8.0/IkiWiki/Plugin/recentchanges.pm line 158.
2 BEGIN failed--compilation aborted at (eval 5) line 164.
3
4 This was in ikiwiki_2.32.3.
5
6 I worked-around this by doing:
7
8         utime IkiWiki::possibly_foolish_untaint($change->{when}), IkiWiki::possi
9 bly_foolish_untaint($change->{when}), "$config{srcdir}/$file